> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# XOF Process OTP

> This endpoint processes the One Time Password that was retrieved by the user which would be used to complete the XOF(Orange only) Collection. For testing purposes, please use **2251114462945** for the OTP Required option. Also, use the OTP value **4567** for your tests..



## OpenAPI

````yaml /openapi.json post /subsidiary/collections/v1/process-otp
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /subsidiary/collections/v1/process-otp:
    post:
      tags:
        - Momo And ZAR Collections
      summary: XOF Process OTP
      description: >-
        This endpoint processes the One Time Password that was retrieved by the
        user which would be used to complete the XOF(Orange only) Collection.
        For testing purposes, please use **2251114462945** for the OTP Required
        option. Also, use the OTP value **4567** for your tests..
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/xofProcessOtpRequest'
            examples:
              XOF Process OTP:
                summary: XOF Process OTP
                value:
                  payment_token: 45c3d124-7831-4f97-8844-581bf497a20b
                  otp_code: '4567'
                  payee: '+2251114462945'
                  payment_method: ORANGE_CI
                  transaction_reference: MOCIV0009383
                  transaction_channel: MOMCIV
                  country_code: CI
      responses:
        '200':
          description: Funding Successful
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/xofProcessOtpResponse'
              examples:
                XOF Process OTP:
                  summary: XOF Process OTP
                  value:
                    response_code: '09'
                    response_message: PENDING
                    redirect_customer_to_url_processing: false
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth:
            - Payaza {{Public API Key In Base64}}
          TenantID:
            - test or live
          ProductID:
            - default value is ‟app”
components:
  schemas:
    xofProcessOtpRequest:
      title: XOF Process OTP
      type: object
      required:
        - payment_token
        - otp_code
        - payee
        - payment_method
        - transaction_reference
        - transaction_channel
        - country_code
      properties:
        payment_token:
          type: string
          description: >-
            The payment token, this can be retrieved from the “Process
            Collection” API response.
          example: 45c3d124-7831-4f97-8844-581bf497a20b
        otp_code:
          type: string
          description: The One Time Password sent to the customer.
          example: '4567'
        payee:
          type: string
          description: The mobile money account number to be charged.
          example: '+2251114462945'
        payment_method:
          type: string
          description: The payment method. The default value is **ORANGE_CI**.
          example: ORANGE_CI
        transaction_reference:
          type: string
          description: The unique identifier of the transaction.
          example: MOCIV0009383
        transaction_channel:
          type: string
          description: This is the customer’s mobile money bank code.
          example: MOMCIV
        country_code:
          type: string
          description: The ISO Country Code. (ISO 3166-1 alpha-2).
          example: CI
          maxLength: 2
    xofProcessOtpResponse:
      title: XOF Process OTP Response
      type: object
      properties:
        response_code:
          type: string
          description: >-
            Code representing the status of the request (e.g., '09' for
            pending).
          example: '09'
        response_message:
          type: string
          description: Text description of the response code.
          example: PENDING
        redirect_customer_to_url_processing:
          type: boolean
          description: >-
            Indicates whether the customer must be redirected to a URL to
            complete the action.
          example: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````